Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | List of all members
sauce::internal::Key< Named< Iface_, Name_ > > Class Template Reference

Template specialization when an actual name is used. More...

`#include <sauce/internal/key.h>`

## Public Types
typedef Iface_ | Iface
typedef sauce::shared_ptr< Iface_ > | Ptr
typedef Name_ | Name
typedef Named< Iface_, Name_ > | Normalized

## Detailed Description

### template<typename Iface_, typename Name_>
class sauce::internal::Key< Named< Iface_, Name_ > >

Template specialization when an actual name is used.

The documentation for this class was generated from the following file:

- sauce/internal/key.h